peakrdl mnrs regfile test

readonly / writeonly test:
    reg full_field_reg is neither a readonly nor a writeonly register.
    reg multiple_fields_reg is neither a readonly nor a writeonly register.
    reg different_field_widths_reg is neither a readonly nor a writeonly register.

width test:
    regs of type full_field_reg are 32 bits wide.
    regs of type multiple_fields_reg are 32 bits wide.
    regs of type different_field_widths_reg are 32 bits wide.

single field and bitpos test:
    reg full_field_reg is filled by a single field.
    reg multiple_fields_reg is not filled by a single field.
    field lower_half goes from 0 to 15, it is 16 bits in total
    field upper_half goes from 16 to 31, it is 16 bits in total
    reg different_field_widths_reg is not filled by a single field.
    field one_wide goes from 0 to 0, it is 1 bits in total
    field nine_wide goes from 1 to 9, it is 9 bits in total
    field seventeen_wide goes from 10 to 26, it is 17 bits in total

array test:
    reg full_field_reg is not an array.
    reg multiple_fields_reg is not an array.
    reg different_field_widths_reg is not an array.

native size test:
    full_field width is 32, and its native size is 32
    lower_half width is 16, and its native size is 16
    upper_half width is 16, and its native size is 16
    one_wide width is 1, and its native size is 8
    nine_wide width is 9, and its native size is 16
    seventeen_wide width is 17, and its native size is 32